package eap.freeciv;

import java.io.*;

public class CityMap {

private static final int SIZE=4;

int[] codes;

/*****************************************************************************
*
*****************************************************************************/
public CityMap() {
    codes = new int[SIZE];
}

/*****************************************************************************
*
*****************************************************************************/
public void read(PacketSource source) throws IOException {

    for(int i=0; i<SIZE; ++i) {
        codes[i] = source.readByte();
        System.out.println("reading city map "+i+" code="+codes[i]);
    }
} // end of read method

/*****************************************************************************
*
*****************************************************************************/
public void write(OutputStream out) throws IOException {

    for(int i=0; i<SIZE; ++i) {
        out.write(codes[i]);
    }
} // end of read method


/*****************************************************************************
*
*****************************************************************************/
public int size() { return SIZE; }

} // end of CityMap class
