package eap.freeciv;

import java.net.*;
import java.io.*;

/******************************************************************************
*
******************************************************************************/
public class Client implements PacketListener {

PacketConnection connection;


/****************************************************************************
*
****************************************************************************/
public Client() {
}

/****************************************************************************
*
****************************************************************************/
public PacketConnection getConnection() { return connection; }

/****************************************************************************
*
****************************************************************************/
public void connectToServer(String name, int port) throws UnknownHostException, IOException {

    Socket socket = new Socket(name, port);
    connection = new PacketConnection(socket);

} // end of connectToServer method

/****************************************************************************
*
****************************************************************************/
public void receivePacket(Packet packet) {

    try { connection.sendPacket(packet); }
    catch(IOException e) { 
        System.err.println("Client could not send packet");
        System.err.println(e);
        System.exit(1);
    }
}

/****************************************************************************
*
****************************************************************************/
public static void main(String[] args) throws Exception {

Client client = new Client();


//lient.connectToServer("localhost", 5555);
//client.listenForClient(4444);

} // end of main method


} // end of Client class
