package eap.freeciv;

import java.io.*;

public class TechList {

private static final int MAX_LENGTH=10; // a.k.a MAX_NUM_TECH_LIST
private static final int END_FLAG=200; // a.k.a. A_LAST

int length;
int[] list;

/*******************************************************************************
*
*******************************************************************************/
public TechList() {
    list = new int[MAX_LENGTH];
}

/*******************************************************************************
*
*******************************************************************************/
public void read(PacketSource source) throws IOException {

    for(length=0; length<MAX_LENGTH; ++length) {
        list[length] = source.readByte();
//System.out.println("read tech list "+length+" "+list[length]);
        if(list[length] == END_FLAG) break;
    }


} // end of read method

/*****************************************************************************
*
*****************************************************************************/
public void write(OutputStream out) throws IOException {

    for(int i=0; i<length; ++i) {
  //  System.out.println("write tech list "+i+" "+list[length]);
        out.write(list[i]);
    }
 //   System.out.println("write tech list end flag= "+END_FLAG);
    out.write(END_FLAG);

} // end of write method

/*****************************************************************************
*
*****************************************************************************/
public int size() {

    return length+1;
}

} // end of TechList class
