package eap.freeciv;

import java.io.*;

/**************************************************************************
*
**************************************************************************/
public class WorkListField extends SimpleField {




/**************************************************************************
*
**************************************************************************/
public void readValue(Packet packet, PacketSource source) throws IOException {

    WorkList list = new WorkList();
    list.read(source);

    packet.setValue(name, list );


} // end of read method

/**************************************************************************
*
**************************************************************************/
public void writeValue(Object object, OutputStream out) throws IOException {

    if(!(object instanceof WorkList)) {
        throw new IOException(name+" = "+object+" is not a work list\n");
    }

    WorkList list = (WorkList)object;
    list.write(out);

} // end of writeValue method


/**************************************************************************
*
**************************************************************************/
public int getValueSize(Packet packet) {

    WorkList list = (WorkList)packet.getValue(name);
    return list.size();
} // end of getValueSize method

} // end of WorkListField inner class
