package eap.freeciv;

import java.io.*;

/**************************************************************************
*
**************************************************************************/
public class TechListField extends SimpleField {




/**************************************************************************
*
**************************************************************************/
public void readValue(Packet packet, PacketSource source) throws IOException {

    TechList list = new TechList();
    list.read(source);

    packet.setValue(name, list );


} // end of read method

/**************************************************************************
*
**************************************************************************/
public void writeValue(Object object, OutputStream out) throws IOException {

    if(!(object instanceof TechList)) {
        throw new IOException(name+" = "+object+" is not a tech list\n");
    }

    TechList list = (TechList)object;
    list.write(out);

} // end of read method

/**************************************************************************
*
**************************************************************************/
public int getValueSize(Packet packet) {

    TechList list = (TechList)packet.getValue(name);
    return list.size();
} // end of getValueSize method

} // end of TechListField inner class
